Retrieve the list of commissions for a account.

http
GET https://services.leadconnectorhq.com/affiliate-manager/{locationId}/commissions

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id

Query parameters

NameTypeRequiredExampleDescription
campaignIdstringNo6385d230f6d19db03eef6fb2Campaign Id
affiliateIdstringNo6385d230f6d19db03eef6fb2Affiliate Id
statusstringNopendingStatus
querystringNoaffiliate@gmail.comQuery
skipnumberNo1
limitnumberNo10Maximum number of records to return. Maximum allowed value is 100.
fromDatestringNo2023-10-01
toDatestringNo2023-10-01

Responses

200 - Successful response
  • commissions (object[], required): Commission list

    • _id (string, required): Commission id Example: 6385d230f6d19db03eef6fb2

    • productId (string): Product id Example: 6385d230f6d19db03eef6fb2

    • productName (string): Product name Example: Basic Plan

    • qty (number): Quantity Example: 1

    • productCommission (number): Product commission amount Example: 25

    • commissionAmount (number): Commission amount Example: 25

    • amount (number): Base amount Example: 100

    • unitDiscount (number): Unit discount Example: 5

    • campaignName (string): Campaign name Example: Summer Promo

    • commission (number): Commission percentage or value Example: 25

    • commissionType (string): Commission type Example: percentage

    • transactionAt (string): Transaction time Example: 2024-06-16T00:00:00.000Z

    • transactionId (string): Transaction id Example: txn_123

    • affiliateId (string): Affiliate id Example: 6385d230f6d19db03eef6fb2

    • payoutId (string): Payout id Example: 6385d230f6d19db03eef6fb2

    • status (string): Commission status Example: pending

    • currency (string): Currency Example: USD

    • isTrial (boolean): Whether the item is a trial commission Example: False

    • customer (object): Customer details

    • createdAt (string): Created at Example: 2024-06-16T00:00:00.000Z

    • eventId (string): Event id Example: evt_123

    • campaign (object): Campaign details

    • affiliate (object): Affiliate details

    • dueAt (string): Due date Example: 2024-06-30T00:00:00.000Z

    • liveMode (boolean): Whether the commission is in live mode Example: True

    • tier (number): Commission tier Example: 1

  • meta (object): Pagination metadata

json
{
  "commissions": [
    {
      "_id": "6385d230f6d19db03eef6fb2",
      "productId": "6385d230f6d19db03eef6fb2",
      "productName": "Basic Plan",
      "qty": 1,
      "productCommission": 25,
      "commissionAmount": 25,
      "amount": 100,
      "unitDiscount": 5,
      "campaignName": "Summer Promo",
      "commission": 25,
      "commissionType": "percentage",
      "transactionAt": "2024-06-16T00:00:00.000Z",
      "transactionId": "txn_123",
      "affiliateId": "6385d230f6d19db03eef6fb2",
      "payoutId": "6385d230f6d19db03eef6fb2",
      "status": "pending",
      "currency": "USD",
      "isTrial": false,
      "createdAt": "2024-06-16T00:00:00.000Z",
      "eventId": "evt_123",
      "dueAt": "2024-06-30T00:00:00.000Z",
      "liveMode": true,
      "tier": 1
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/commissions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?